# Interface goog.net.XhrLike

code »

Interface for the common parts of XMLHttpRequest. Mostly copied from externs/w3c_xml.js.

Show:PublicProtectedPrivate

## Type Definitions

code »goog.net.XhrLike.OrNative : `(!goog.net.XhrLike|!XMLHttpRequest)`
Typedef that refers to either native or custom-implemented XHR objects.

## Instance Methods

code » abort ( )
code » getAllResponseHeaders ( ) ⇒ `string`
code » getResponseHeader ( header ) ⇒ `string`

Parameters

header

code » open ( method, url, opt_async, opt_user, opt_password )

Parameters

method
url
opt_async
opt_user
opt_password

code » send ( opt_data )

Parameters

opt_data

code » setRequestHeader ( header, value )

Parameters

header
value

## Instance Properties

code » onreadystatechange : `(function()|null|undefined)`
code » readyState : `number`
code » responseText : `string`
code » responseXML : `Document`
code » status : `number`
code » statusText : `string`